public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Andrew Ammerlaan" <andrewammerlaan@riseup.net>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:dev commit in: dev-python/uvicorn/
Date: Mon,  9 Mar 2020 17:28:27 +0000 (UTC)	[thread overview]
Message-ID: <1583774648.ec6535a78f3943b09f3fee9046dc3565334799f1.andrewammerlaan@gentoo> (raw)
Message-ID: <20200309172827.TAtDaqX01tdByHFeBwLv_9Wxr93v-wYKoYrZeQJb2IQ@z> (raw)

commit:     ec6535a78f3943b09f3fee9046dc3565334799f1
Author:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
AuthorDate: Mon Mar  9 17:09:04 2020 +0000
Commit:     Andrew Ammerlaan <andrewammerlaan <AT> riseup <DOT> net>
CommitDate: Mon Mar  9 17:24:08 2020 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=ec6535a7

dev-python/uvicorn: The lightning-fast ASGI server

Package-Manager: Portage-2.3.93, Repoman-2.3.20
Signed-off-by: Andrew Ammerlaan <andrewammerlaan <AT> riseup.net>

 dev-python/uvicorn/Manifest              |  1 +
 dev-python/uvicorn/metadata.xml          |  9 +++++
 dev-python/uvicorn/uvicorn-0.11.3.ebuild | 57 ++++++++++++++++++++++++++++++++
 3 files changed, 67 insertions(+)

diff --git a/dev-python/uvicorn/Manifest b/dev-python/uvicorn/Manifest
new file mode 100644
index 0000000..f5a6ba3
--- /dev/null
+++ b/dev-python/uvicorn/Manifest
@@ -0,0 +1 @@
+DIST uvicorn-0.11.3.tar.gz 490532 BLAKE2B 521f137ec94906d5fe9411e780551fb3f4a6eb3da2e7e49d67524b380267e1089bd778b5294f4c72e0da270aeddd89e598bb2c79251262fa528da29103eb259b SHA512 c7e5badbd57bf2962fb4ef538072bed8e509ade20ff98856dd88099adeaeb9044b35a547b9f1ade3575c6dbc4564519d69aaeca7dad95a3b463160cdd9a464a9

diff --git a/dev-python/uvicorn/metadata.xml b/dev-python/uvicorn/metadata.xml
new file mode 100644
index 0000000..628ab20
--- /dev/null
+++ b/dev-python/uvicorn/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+
+<pkgmetadata>
+    <maintainer type="person">
+        <email>andrewammerlaan@riseup.net</email>
+        <name>Andrew Ammerlaan</name>
+    </maintainer>
+</pkgmetadata>

diff --git a/dev-python/uvicorn/uvicorn-0.11.3.ebuild b/dev-python/uvicorn/uvicorn-0.11.3.ebuild
new file mode 100644
index 0000000..e906cfa
--- /dev/null
+++ b/dev-python/uvicorn/uvicorn-0.11.3.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7} )
+
+DISTUTILS_USE_SETUPTOOLS=rdepend
+
+inherit distutils-r1
+
+DESCRIPTION="The lightning-fast ASGI server"
+HOMEPAGE="https://www.uvicorn.org/
+	https://github.com/encode/uvicorn"
+SRC_URI="https://github.com/encode/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="BSD"
+KEYWORDS="~amd64 ~x86"
+SLOT="0"
+
+IUSE="doc"
+REQUIRED_USE="x86? ( !doc )"
+
+RDEPEND="
+	dev-python/click[${PYTHON_USEDEP}]
+	dev-python/h11[${PYTHON_USEDEP}]
+	>=dev-python/uvloop-0.14.0[${PYTHON_USEDEP}]
+	dev-python/wsproto[${PYTHON_USEDEP}]"
+
+BDEPEND="doc? ( !x86? (
+	dev-python/mkdocs
+	dev-python/mkdocs-material ) )"
+
+DEPEND="test? (
+	dev-python/isort[${PYTHON_USEDEP}]
+	dev-python/requests[${PYTHON_USEDEP}] )"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+	# these tests fail, likely because wsproto is out of date
+	rm tests/protocols/test_websocket.py || die
+	rm tests/protocols/test_http.py || die
+
+	# do not install LICENSE to /usr/
+	sed -i -e '/data_files/d' setup.py || die
+
+	distutils-r1_python_prepare_all
+}
+
+python_compile_all() {
+	default
+	if use doc; then
+		mkdocs build || die "failed to make docs"
+		HTML_DOCS="site"
+	fi
+}


             reply	other threads:[~2020-03-09 17:28 UTC|newest]

Thread overview: 22+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-03-09 17:55 Andrew Ammerlaan [this message]
2020-03-09 17:28 ` [gentoo-commits] repo/proj/guru:dev commit in: dev-python/uvicorn/ Andrew Ammerlaan
  -- strict thread matches above, loose matches on Subject: below --
2020-03-13 17:45 [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2020-03-13 17:45 Andrew Ammerlaan
2020-03-24 16:37 Michał Górny
2020-03-24 16:37 Michał Górny
2020-03-28 11:00 [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2020-03-28 11:08 ` [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2020-04-28 17:30 [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2020-04-29 11:12 ` [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2020-04-29 10:59 [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2020-04-29 11:12 ` [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2020-06-30 19:19 [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2020-06-30 19:43 ` [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2020-07-17 14:44 [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2020-07-17 14:44 ` [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2020-07-28 14:32 [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2020-07-28 14:32 ` [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2020-07-31 17:58 [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2020-07-31 17:58 ` [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2020-08-14 18:35 Andrew Ammerlaan
2020-09-24 12:50 [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2020-09-24 13:01 ` [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2020-10-18  9:03 Andrew Ammerlaan
2020-10-22 14:39 [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2020-10-22 14:41 ` [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2020-11-28 13:57 Andrew Ammerlaan
2020-12-18 14:15 Andrew Ammerlaan
2021-01-03 14:29 [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2021-01-03 14:29 ` [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2021-02-07  8:24 [gentoo-commits] repo/proj/guru:dev " Andrew Ammerlaan
2021-02-07  8:24 ` [gentoo-commits] repo/proj/guru:master " Andrew Ammerlaan
2021-02-19 10:14 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1583774648.ec6535a78f3943b09f3fee9046dc3565334799f1.andrewammerlaan@gentoo \
    --to=andrewammerlaan@riseup.net \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox